@echo off

echo COOP AND PVP LIST GENERATOR FOR TADMIN
echo.
echo.
echo What do you want to do?
echo.
echo 	1. Generate new lists
echo 	2. Continue a previous process
echo.
set /p result= Type 1 or 2 to select an option:



IF "%result%"== "1" goto prep_newlist

IF "%result%"== "2" goto cont_prev_pro



:prep_newlist

IF EXIST infomaps_index.txt (del infomaps_index.txt /f /q)
IF EXIST tadmin_pvp_list.lst (del tadmin_pvp_list.lst /f /q)
IF EXIST tadmin_coop_list.lst (del tadmin_coop_list.lst /f /q)
IF EXIST infomaps_Processed_maplist.txt (del infomaps_Processed_maplist.txt /f /q)

goto jump_1



:cont_prev_pro

IF NOT EXIST infomaps_index.txt (
  echo.
  echo The infomaps_index.txt file is missing. the process cannot be continued
  echo you must generate a new list.
  echo.
  pause
  exit
)



:jump_1
IF NOT EXIST infomaps_list.txt (
  echo.
  echo The infomaps_list.txt file is missing.
  echo The process will stop.
  echo.
  pause
  exit
)

IF NOT EXIST maplistg.u (
  echo.
  echo The maplistg.u file is missing.
  echo The process will stop.
  echo.
  pause
  exit
)
goto runtool


:runtool


Server.exe LAN District.aao?Mutator=maplistg.maplistg log=server.log ini=server.ini

pause

